gnokii(1)

NAME
gnokii - modem/fax driver for the mobile phones

SYNOPSIS
gnokii OPTION [ARGUMENT]...

DESCRIPTION

gnokii is a multiple systems tool suite and (eventually) modem/fax driver for the mobile phones.

gnokii at the beginning was designed to support Nokia phones. At the moment it supports most of the Nokia mobiles including 6100 series (models like 6110 or 5110), 7110 series (models like 7110 or 6210) and 6510 series (models like 6310 or 6510). The most recent models as Nokia 7650 are not yet fully supported but we're working on it. At the moment it also supports also the phones that are capable to understand AT commands. Tested AT phones are: Nokia 7110/6210/6250/6310(i)/6510/8210/9210/7650/3650, Siemens S25/SL45i/C55/M55/S55, Ericsson T39, SonyEricsson T68i, Bosch 908/909 and Motorola Timeport P7389i and C350.

OPTIONS
The options that are recognized by gnokii can be divided into several different groups.

  GENERAL

--help
    display usage information.

--version
    displays version and copyright information.

--monitor [delay|once]
    continually updates phone status to stderr. Optional delay parameter sets the refresh interval to delay seconds. Default is 1. once means the output will be printed only once.

  DIALING

--getspeeddial n
    reads speed dial from the specified location.

--setspeeddial number memory_type location
    specify speed dial.

--dialvoice number
    initiate voice call.

--senddtmf string
    send DTMF sequence.

  PHONE SETTINGS

--getdisplaystatus
    shows what icons are displayed.

--displayoutput
    show texts displayed in phone's screen.

--getprofile [number]
    show settings for selected(all) profile(s).

--setprofile
    sets settings for selected(all) profile(s).

--getactiveprofile
    reads the activer profile.

--setactiveprofile profile_no
    sets active profile to the profile number profile_no.

--netmonitor {reset|off|field|devel|next|nr}
    setting/querying netmonitor mode.

--reset [soft|hard]
    resets the phone.

  TODO

--gettodo start [end] [-v]
    get the notes with numbers from start to end from calendar.

-v - output in vCalendar 1.0 format

--writetodo vCalendarfile number
    write the notes to ToDo list.

number - location of the note in the vCalendar file

--deletealltodos
    delete all notes from the ToDo list.

  CALENDAR

--getcalendarnote start [end] [-v]
    get the note with numbers from start to end from calendar. end can be either a number or a keyword end that denotes 'everything till the end'.

-v - output in vCalendar 1.0 format

--writecalendarnote vcalfile number
    write the note number number from a vCal file vcalfile to a phone calendar. Just one note a time can be saved.

--deletecalendarnote start [end]
    delete the note with numbers from start to end from calendar. end can be either a number or a keyword end that denotes 'everything till the end'.

  SMS

--getsms memory_type start [end] [-f file] [-F file] [-d]
    gets SMS messages from specified memory type starting at entry start and ending at end. For the memory types you usually use SM for the SIM card and ME for the phone memory. The exception are the phones supported by nk7110 (Nokia 7110/6210/6250) and nk6510 (Nokia 6310/6510/8310) drivers. For these you should use IN for the Inbox, OU for the Outbox, AR for the Archive, TE for the Templates and F1, F2, ... for your own folders. If end is not specified only one location - start is read. If -f file is used entries are saved in file. If the file already existis, user is prompted whether to overwrite the file. -F option forces gnokii to overwrite the file without asking. If none of these switches is used entries are dumped to stdout. If -d switch is used, a message is deleted after reading.

--deletesms memory_type start [end]
    deletes SMS messages from specified memory type starting at entry start and ending at end. If end is not specified only one location - start is read.

--sendsms destination [--smsc message_center_number | --smscno message_center_index] [-r] [-C n] [-v n] [--long n] [-i]
    sends an SMS message to destination via message_center_number or SMSC number taken from phone memory from address message_center_index. If this argument is ommited SMSC number is taken from phone memory from location 1. Message text is taken from STDIN. Meaning of other optional parameters:

-r - request for delivery report

-C n - Class Message n, where n can be 0..3

-v n - validity in minutes

--long n - send no more then n characters, default is 160

-i - send iMelody within SMS

Sample usage:
    echo "This is a test message" | gnokii --sendsms +48501123456 -r

--savesms [--sender from] [--smsc message_center_number | --smscno message_center_index] [--folder folder_id] [--location number] [--sent | --read] [--deliver] [--datetime YYMMDDHHMMSS]
    saves SMS messages to phone. Messages are read from STDIN. You can specify the following optional arguments:

--sender - set the sender number (only --deliver)

--smsc message_center_number - set the SMSC number (only --deliver)

--smscno message_center_index - SMSC number taken from phone memory from address message_center_index (only --deliver)

--folder folder_id - folder ID where to save the SMS to (only valid for newer phones, i.e. 6210/6510 series). For legal values see --getsms.

--location number - save the message to laction number

--sent | --read - mark the message saved/read depending on --deliver

--deliver - set the message type to SMS_Deliver

--datetime YYMMDDHHMMSS - sets datetime of delivery, i.e. 031123185713 would set message delivery time to 23rd November 2003, 6:57:13 PM

--getsmsc number
    show the SMSC number from location number.

--createsmsfolder name
    create SMS folder with name name.

--createsmsfolder number
    delete folder # number of 'My Folders'.

--smsreader
    keeps readning incoming SMS and saves them into the mailbox.

  LOGOS

--sendlogo {caller|op} destination logofile [network_code]
    send the logofile to destination as operator or CLI logo.

--setlogo logofile [network_code]

--setlogo logofile [caller_group_number] [group_name]

--setlogo text [startup_text]

--setlogo dealer [dealer_startup_text]
    set caller, startup or operator logo.

--getlogo logofile {caller|op|startup} [caller_group_number]
    get caller, startup or operator logo.

  RINGTONES

--sendringtone destination rtttlfile
    send the rtttlfile to destination as ringtone.

--setringtone rtttlfile
    set the rtttlfile as ringtone (on 6110).

  PHONEBOOK

--getphonebook memory_type start_number [end_number|end] [-r|--raw]
    reads specificed memory location from phone. If end_number is not specified only one location - start is read. If instead of end_number the text end is specified then gnokii will read from start_number until it encounters a non-existant location. Valid memory types are: ME, SM, FD, ON, EN, DC, RC, MC, LD:

    ME Internal memory of the mobile equipment

    SM SIM card memory

    FD Fixed dial numbers

    ON Own numbers

    EN Emergency numbers

    DC Dialled numbers

    RC Received calls

    MC Missed calls

    LD Last dialed numbers

You can use also -r or --raw switch to get the raw output. You can use it then with --writephonebook. Normally you got verbose output.

--writephonebook [-o|--overwrite] [-f|--find-free]
    reads data from stdin and writes to phonebook. When -i option is used, refuses to overwrite existing entries. Uses the same format as provided by the output of the getphonebook command. See below for details.

When the -o or --overwrite option is used, existing entries at a given location are overwritten.

When the -f or --find-free option is given, gnokii tries to find a free location. In this case, you can omit the location field in the input data.

The phonebook format is very simple. Each line represents one entry. Fields are separated by semicolons. Semicolons aren't allowed inside a field. The fields have to be in this order (the subentries are optional, ie. you can repeat all subetry field multiple times, but they have to be alltogether in the given order):

    name

    number

    memory_type

    entry_location

    caller_group_number

    subentry_type

    subentry_number_type

    subentry_id

    subentry_text

Possible values of caller_group_number and the corresponding caller groups are (these are defaults, you are able to change these manually in your phone):

    0 Family

    1 VIP

    2 Friends

    3 Colleagues

    4 Other

    5 No group

Possible subentry types are described in the gnokii/common.h file:

    7 subentry is the name

    8 subentry is the email address

    9 subentry is the postal address (snail mail)

    10 subentry is the note (text field)

    11 subentry is the number

    12 subentry is the ringtone

    19 subentry is the date

    26 subentry is the pointer

    27 subentry is the logo

    28 subentry is the logo switch

    30 subentry is the group

    44 subentry is the URL

Possible subentry number types are described in the gnokii/common.h file:

    2 number is the home phone number

    3 number is the mobile phone number

    4 number is the fax number

    6 number is the work phone number

    10 number is the general number

For the subentry types that don't care about number type (at text files) this should be set to 0. --deletephonebook memory_type start_number [end_number] delete entries with start_number to end_number from the phone book in memory_type. end_number can be either a number or a keyword end that denotes 'everything till the end'.

  WAP

--getwapbookmark number
    reads the specified WAP bookmark from phone

--writewapbookmark name URL
    write WAP bookmark to phone

--deletewapbookmark number
    delete WAP bookmark from phone

--getwapsetting number [-r]
    read WAP setting from phone

--writewapsetting
    reads data from stdin and writes it to phone Hint: see syntax from --writephone -r option

--activatewapsetting number
    activate WAP setting number

  DATE, TIME AND ALARM

--setdatetime [YYYY [MM [DD [HH [MM]]]]]
    set the date and the time of the phone.

--getdatetime
    shows current date and time in the phone.

--setalarm HH MM
    set the alarm of the phone.

--getalarm
    shows current alarm.

--getsecuritycode
    shows the currently set security code.

  SECURITY

--identify
    get manufacturer, IMEI, model and revision.

--entersecuritycode {PIN|PIN2|PUK|PUK2}
    asks for the code and sends it to the phone.

--getsecuritycodestatus
    show if a security code is needed.

--getlocksinfo
    show information about the (sim)locks of the phone: the lock data, whether a lock is open or closed, whether it is a user or factory lock and the number of unlock attempts.

  FILE
Not that some phones (like Nokia 6610i) support only id based operations (gnokii options with "byid" suffix). Use gnokiifs for the transparent support.

--getfilelist remote_path
    lists files from the given directory. Use A:or B:to get the root directory from either phone memory or card memory.

--getfiledetailsbyid [id]
    lists file details or directory contents from the entry identified by id. If no identifier is given, list the root directory contents.

--getfileid remote_filename
    gets id of the file.

--getfile remote_filename [local_filename]
    gets file identified by name and path from the phone and stores it at the local computer.

--getfilebyid id [local_filename]
    gets file identified by id from the phone and stores it at the local computer.

--getallfiles remote_path
    gets all files from the remote path.

--putfile local_filename remote_filename
    stores the file in the phone memory or on the memory card.

--deletefile remote_filename
    removes the file from the phone.

--deletefilebyid id
    removes the file from the phone.

DIAGNOSTICS
Various error messages are printed to standard error. The exit code is 0 for correct functioning. Errors which appear to be caused by invalid or abused command line parameters cause an exit code of 2, and other errors cause an exit code of 1.

BUGS

We write quality software here ;) but see KNOWN_BUGS just in case. If you'd like to send us the bugreport please read the README and Bugs files.

AUTHOR
Hugh Blemings <hugh@blemings.org>, Pavel Janik ml. <Pavel.Janik@suse.cz> and Pawel Kot <pkot@linuxnews.pl> Manual page written by Dag Wieers <dag@mind.be> and Pawel Kot <pkot@linuxnews.pl> See also Docs/CREDITS from Gnokii sources.

COPYING
This program is distributed under the GNU Public License Version 2.

SEE ALSO
gnokiid, xgnokii, mgnokiidev, ppm2nokia, sendsms, todologo